Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class FileScanner

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.groovy.ant.FileScanner

All Implemented Interfaces:
  Cloneable

    public class FileScanner

extends Task

`FileScanner` is a bean which allows the iteration over a number of files from a collection of FileSet instances.

Version:
  $Revision: 10601 $
Author:
  James Strachan, Marc Guillemot

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`FileScanner()`
`FileScanner(Project project)`

Method Summary
`void` | `addFileset(FileSet set)` Adds a set of files (nested fileset attribute).
`void` | `clear()` Clears any file sets that have been added to this scanner
`Iterator` | `directories()`
`boolean` | `hasFiles()`
`Iterator` | `iterator()`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileScanner

    public FileScanner()

### FileScanner

    public FileScanner(Project project)

Method Detail

### iterator

    public Iterator iterator()

### directories

    public Iterator directories()

### hasFiles

    public boolean hasFiles()

### clear

    public void clear()

  Clears any file sets that have been added to this scanner

### addFileset

    public void addFileset(FileSet set)

  Adds a set of files (nested fileset attribute).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD